ScopedResource.STATUS
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcemanager.impl.resources
Enum ScopedResource.STATUS

    java.lang.Object
      java.lang.Enum<ScopedResource.STATUS>
          org.gcube.vremanagement.resourcemanager.impl.resources.ScopedResource.STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScopedResource.STATUS>

Enclosing class:
  ScopedResource

    public static enum ScopedResource.STATUS

extends java.lang.Enum<ScopedResource.STATUS>

resource's legal statuses

Enum Constant Summary
`ADDED`
`ADDREQUESTED`
`CREATED`
`LOST`
`PUBLISHED`
`REMOVED`
`REMOVEREQUESTED`
`UNPUBLISHED`

Method Summary
`abstract java.util.List<ScopedResource.STATUS>` | `previous()`
`static ScopedResource.STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScopedResource.STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATED

    public static final ScopedResource.STATUS CREATED

### ADDREQUESTED

    public static final ScopedResource.STATUS ADDREQUESTED

### ADDED

    public static final ScopedResource.STATUS ADDED

### PUBLISHED

    public static final ScopedResource.STATUS PUBLISHED

### REMOVEREQUESTED

    public static final ScopedResource.STATUS REMOVEREQUESTED

### REMOVED

    public static final ScopedResource.STATUS REMOVED

### UNPUBLISHED

    public static final ScopedResource.STATUS UNPUBLISHED

### LOST

    public static final ScopedResource.STATUS LOST

Method Detail

### values

    public static ScopedResource.STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScopedResource.STATUS c : ScopedResource.STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScopedResource.STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### previous

    public abstract java.util.List<ScopedResource.STATUS> previous()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD